from django.db import models
from phonenumber_field.modelfields import PhoneNumberField
from shiftregister.app.models import *

# Create your models here.


class IncomingMessage(models.Model):
    class Meta:
        get_latest_by = "created_at"
        indexes = (models.Index(fields=("sender",)),)

    id = models.BigIntegerField(primary_key=True)
    sender = PhoneNumberField()
    content = models.TextField()
    created_at = models.DateTimeField()
    read = models.BooleanField(default=False)

    def from_helper(self):
        try:
            return Helper.objects.get(phone=self.sender)
        except Helper.DoesNotExist:
            return None

    def display_sender(self):
        helper = self.from_helper()
        return helper.name if helper else self.sender
